proc sort data=sashelp.stocks(where=(Stock="&Stock")) out=stocks_sorted;
by date;
run; 


data _null_;
	set stocks_sorted (where=(Stock="&Stock")) end = eof;
	file _webout lrecl=20480;
	format Date BEST16.; 
	format Close 8.2; 
	Date = INTCK("days","01JAN70"d,Date)*86400000 ;
	if _N_ eq 1 then put '{ "name":'"""&Stock"""',"data":['+(-1);
	put '[' Date ',' Close ']' ; 
	if eof then put ']}';
	else put ',';
run;